Package weka.core.pmml.jaxbbindings

# Class NeuralOutput

java.lang.Object
weka.core.pmml.jaxbbindings.NeuralOutput

public class NeuralOutput extends Object

Java class for NeuralOutput element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="NeuralOutput">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}DerivedField"/>
             </sequence>
             <attribute name="outputNeuron" use="required" type="{http://www.dmg.org/PMML-4_1}NN-NEURON-IDREF" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NeuralOutput()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DerivedField`
  `getDerivedField()`
  Gets the value of the derivedField property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getOutputNeuron()`
  Gets the value of the outputNeuron property.
  `void`
  `setDerivedField(DerivedField value)`
  Sets the value of the derivedField property.
  `void`
  `setOutputNeuron(String value)`
  Sets the value of the outputNeuron property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NeuralOutput

    public NeuralOutput()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getDerivedField

    public DerivedField getDerivedField()
    Gets the value of the derivedField property.
    Returns:
      possible object is `DerivedField`

  - ### setDerivedField

    public void setDerivedField(DerivedField value)
    Sets the value of the derivedField property.
    Parameters:
      `value` - allowed object is `DerivedField`

  - ### getOutputNeuron

    public String getOutputNeuron()
    Gets the value of the outputNeuron property.
    Returns:
      possible object is `String`

  - ### setOutputNeuron

    public void setOutputNeuron(String value)
    Sets the value of the outputNeuron property.
    Parameters:
      `value` - allowed object is `String`